Remove the "flag the edit in the abuse log" checkbox
Closed, ResolvedPublic

Description

  • Flag the edit in the abuse log

Please consider removing this. This checkbox can never be unchecked as all abuse filter hits are logged in the abuse filter log. If it needs to be made explicit a message saying that actions triggering the filter while enabled will be logged in the abuselog would be enough IMHO, but having a checkbox that can never be unchecked is a bit useless now. I don't think AbuseFilter does support unlogged operations even in non WMF wikis. Thanks.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 24 2016, 7:37 PM
Huji claimed this task.Jan 19 2017, 3:08 AM
Huji renamed this task from Remove the "flag this edit in the abuse log" checkbox to Remove the "flag the edit in the abuse log" checkbox.Feb 13 2017, 5:06 PM
Huji updated the task description. (Show Details)
Huji triaged this task as Lowest priority.EditedFeb 13 2017, 5:27 PM

The checkbox has existed since at least June 2008, and it has been since then always been hard-coded as disabled. I think it would be appropriate to remove it. Patch to follow.

Change 337427 had a related patch set uploaded (by Huji):
Remove the "flag the edit in the abuse log" checkbox

https://gerrit.wikimedia.org/r/337427

+ User-notice so users are informed about this and that does not mean that the abusefilter will stop logging. Every filter set as enabled but with no further actions will have their hits logged, but this informative checkbox is removed.

Johan added a subscriber: Johan.EditedFeb 16 2017, 8:05 PM

OK, will include in Tech News as soon as we know when the patch will be merged.

Samtar added a subscriber: Samtar.Feb 19 2017, 12:20 PM
Legoktm added a subscriber: Legoktm.Mar 1 2017, 8:04 PM

OK, will include in Tech News as soon as we know when the patch will be merged.

It will go out in next week's deployment.

Change 337427 merged by jenkins-bot:
Remove the "flag the edit in the abuse log" checkbox

https://gerrit.wikimedia.org/r/337427

Huji closed this task as Resolved.Mar 1 2017, 9:02 PM
Huji removed a project: Patch-For-Review.